<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones, Ankur Thakur
| Developers: Ankur Thakur
| Site: http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Defining Database
include INFUSIONS."thumb_ratings_panel/infusion_db.php";

// Loading Locale Files
if (file_exists(INFUSIONS."thumb_ratings_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."thumb_ratings_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."thumb_ratings_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['tr_title'];
$inf_description = $locale['tr_desc'];
$inf_version = "1.0";
$inf_developer = "Ankur Thakur";
$inf_email = "thakurboyz2007@gmail.com";
$inf_weburl = "http://ankurthakur.in";

$inf_folder = "thumb_ratings_panel";

$inf_newtable[1] = DB_THUMB_RATINGS." (
rating_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
data_id SMALLINT(5) UNSIGNED NOT NULL,
data_type VARCHAR(3) NOT NULL DEFAULT '',
user_id SMALLINT(5) UNSIGNED NOT NULL,
rating_value TINYINT(1) UNSIGNED NOT NULL,
PRIMARY KEY (rating_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_photo_enabled', '1', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_photo_position', '0', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_photo_text', 'Like this ?', '".$inf_folder."')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_article_enabled', '1', '".$inf_folder."')";
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_article_position', '0', '".$inf_folder."')";
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_article_text', 'Useful Article ?', '".$inf_folder."')";
$inf_insertdbrow[7] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_news_enabled', '1', '".$inf_folder."')";
$inf_insertdbrow[8] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_news_position', '0', '".$inf_folder."')";
$inf_insertdbrow[9] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tr_news_text', 'This News was Informative ?', '".$inf_folder."')";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_droptable[1] = DB_THUMB_RATINGS;

$inf_adminpanel[1] = array(
	"title" => $locale['tr_title'],
	"image" => "tr.png",
	"panel" => "thumb_ratings_panel_admin.php",
	"rights" => "TR"
);

?>